首页 > Windows开发 > 详细

RuntimeError: module compiled against API version 0xa but this version of numpy is 0x9

时间:2016-07-15 00:11:49      阅读:7327      评论:0      收藏:0      [点我收藏+]

标签:class   style   log   com   http   si   la   sp   src   

之前测试安装好Theano之后就去安装Tensorflow,然后再回来执行Theano的测试语句的时候,就出现以下错误了:

技术分享

google了一下,尝试了一下解决方法

import numpy
print numpy.__path__

找出numpy目录

技术分享

技术分享

再执行python test.py就没有问题。

 

原因我也搞不清楚。。。而且我还担心numpy改成了numpy_old之后后面运行程序有问题。

 

不过我觉得这个回答是挺中肯的,符合我的情况,但是不清楚怎么操作,难道重新安装么?因为我后来在python上安装了东西的,重新再来一遍好划不来啊。。所以暂且就按上面的方法来吧。 

技术分享

 

RuntimeError: module compiled against API version 0xa but this version of numpy is 0x9

标签:class   style   log   com   http   si   la   sp   src   

原文:http://www.cnblogs.com/yiruparadise/p/5671771.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号